#==========================================================================#
# ■ B.Forum Ver.1.01                                                      #
# ■ プラグインSDK(search)                                                 #
# □ Encode = EUC                                                          #
# □ Hiroaki,Sakuma (sakuma@beetas.org)                                    #
#                                                                          #
# このアプリケーションはオープンソースウェアです.                          #
# 無料で使用することができます.                                            #
# なお, 詳細な使用条件/最新情報については下記サイトをご覧下さい.           #
# http://www.beetas.org/                                                   #
#                                                                          #
# ------------------------------------------------------------------------ #
# Copyright 2001-2002 Hiroaki,Sakuma All Rights Reserved.                  #
# Copyright 2001-2002 BEETAS.org All Rights Reserved.                      #
#                                                                          #
#==========================================================================#
package search;

use Exporter;
use strict;

@ISA = qw(Exporter);
@EXPORT = qw(version status require_min require_max main);

my (%in %SET);

sub version {
	# バージョン(要変更)
	$version = "Plugin SDK(search) 1.01(0055-0058)";
	return $version;
}

sub status {
	return 1;
}

sub require_min {
	# 最低動作バージョン(要変更)
	$require_min = "0055";
	return $require_min;
}

sub require_max {
	# 最高動作バージョン(要変更)
	$require_max = "0058";
	return $require_max;
}

sub main ($$$@) {

	# 変更の必要なし
	my $head = $_[0];
	my $foot = $_[1];
	%in = %{$_[2]};
	splice (@_,0,3);
	%SET = %Bforum::SET;



	# ここから変更

	my ($tmp1,$tmp2);

	if ($SET{'NAMAZU_INDEX'} && $SET{'NAMAZU'}) {

		foreach (split(/&/,$in{'target'})) {
			$tmp1 .= "+$_:\"$in{'search'}\" or ";
		}

		print "Location: $SET{'NAMAZU'}?query=$tmp1&whence=$in{'whence'}&idxname=$SET{'NAMAZU_INDEX'}&max=$in{'max'}&result=normal&sort=score\n\n";
		exit(0);

	} else {

		$tmp2 = &_open(2,"$SET{'USER_DIR'}/$in{'id'}/BF.error$Bforum::browser->{browser}","$SET{'USER_DIR'}/BF.error$Bforum::browser->{browser}");
		$tmp2 ||= "検索には対応していません";

	}

	return ($head . $tmp2 . $foot);

}

sub about {
	close (NULL);
	&Bforum::about((caller)[2] . '@' . &version);
}

1;

